package com.ghy.worker.service.impl;

import com.ghy.worker.domain.WorkerBank;
import com.ghy.worker.mapper.WorkerBankMapper;
import com.ghy.worker.service.WorkerBankService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class WorkerBankServiceImpl implements WorkerBankService {

    @Resource
    private WorkerBankMapper workerBankMapper;

    @Override
    public int insertWorkerBank(WorkerBank workerBank) {
        return workerBankMapper.insertWorkerBank(workerBank);
    }

    @Override
    public WorkerBank getByWorkerId(Long workerId) {
        return workerBankMapper.getByWorkerId(workerId);
    }
}
